apiVersion: apps/v1
kind: Deployment
metadata:
  name: portal
  namespace: portal
spec:
  replicas: 3
  template:
    spec:
      containers:
      - name: portal
        resources:
          requests:
            cpu: 500m
            memory: 1Gi
          limits:
            cpu: 2000m
            memory: 4Gi

